Point
Summary
Create transactions involving SkyPoints, including point accrual and redemption
Methods
Point Accrual
POST https://api.skyjoy.vn/api-point/partner/v1/point-accrual
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | string | Bearer <YOUR_ACCESS_TOKEN> |
| Content-Type* | string | application/json |
Request Body
| Name | Type | Description |
|---|---|---|
| skyjoyId* | string | The SkyID of the member to accrue points to |
| transactionId* | string | The unique key for the partner transaction |
| itemId | string | The unique key for the partner transaction |
| transactionDes | object | The product information for the transaction |
| transactionDate* | string | The date of the partner transaction |
| transactionAmount* | number | The amount of the partner transaction. Must be a non-negative number |
| transactionCurrency* | string | The currency of the partner transaction. Default is VND |
| extraData | object | The customized data |
json
{
"statusCode": 200,
"message": "SUCCESS",
"data": {
"sponsorId": 220,
"transactionId": "F42F3F3378D83A8B2A242E818CB49",
"bitReference": "2WJOAMGHHA4FE21UER4RTX5FGL",
"skyjoyId": "SJ5408563422",
"timestamp": "2023-09-11T04:43:32.900Z",
"requestId": "da628090-4f2b-4b7a-a4c5-20f52a8630d9"
}
}sh
curl -X POST \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
-d '{"skyjoyId":"SJ5408563422","transactionId":"F42F3F3378D83A8B2A242E818CB49","itemId":"it_F42F3F3378D83A8B2A242E818CB48","transactionDes":{"voucher":"Tiki Book","value":150000},"transactionDate":1678896000000,"transactionAmount":152123,"transactionCurrency": "VND","extraData":{"firstName":"NGUYEN VAN","lastName":"A"}}' \
'https://api.skyjoy.vn/api-point/partner/v1/point-accrual'